package com.codegeist.fisheye.internal.service;


public class StringArrayHandlerTest extends AbstractHandlerTest<StringArrayHandler> {

	@Override
	protected StringArrayHandler createHandler() {
		return new StringArrayHandler();
	}
	
	public void testEmptyArray() throws Exception {
		startDocument();
		endDocument();
		
		String[] result = handler.getResult();
		assertNotNull(result);
		assertEquals(0, result.length);
	}
	
	public void testSimpleArray() throws Exception {
		startDocument();
		startElement("string");
		characters("test1");
		endElement("string");
		endDocument();
		
		String[] result = handler.getResult();
		assertNotNull(result);
		assertEquals(1, result.length);
		assertEquals("test1", result[0]);
	}
	
	public void testMultiArray() throws Exception {
		startDocument();
		startElement("string");
		characters("test1");
		endElement("string");
		startElement("string");
		characters("test2");
		endElement("string");
		endDocument();
		
		String[] result = handler.getResult();
		assertNotNull(result);
		assertEquals(2, result.length);
		assertEquals("test1", result[0]);
		assertEquals("test2", result[1]);
	}
	
}
