package com.codegeist.fisheye.domain.query;

public class CommentRestriction implements Restriction {
	private final String string;
	private final CommentRestrictionType restrictionType;

	public enum CommentRestrictionType {
		MATCHES("matches"), EQUALS("="), REGEXP_EQUALS("=~");
		
		private final String eyeql;

		CommentRestrictionType(String eyeql) {
			this.eyeql = eyeql;
		}
		
		public String getEyeQl() {
			return eyeql;
		}
	}
	
	public CommentRestriction(String string, CommentRestrictionType restrictionType) {
		this.string = string;
		this.restrictionType = restrictionType;
	}

	public StringBuilder appendEyeQlFragment(StringBuilder buffer) {
		buffer.append(" comment ");
		buffer.append(restrictionType.getEyeQl());
		buffer.append(" \"");
		buffer.append(string);
		buffer.append("\"");
		return buffer;
	}
	
}
