package com.codegeist.fisheye.service;

public class FisheyeException extends Exception {
	private static final long serialVersionUID = 1L;
	private final ExceptionType exceptionType;
	
	public enum ExceptionType {
		/**
		 * Remote interface is disabled
		 */
		INTERFACE_DISABLED,
		/**
		 * Authentication details are incorrect
		 */
		AUTHENTICATION_FAILED,
		/**
		 * Host is unknown, connection failed, etc...
		 */
		CONNECT_ERROR,
		/**
		 * Unclassified server error
		 */
		SERVER_ERROR,
	}
	
	public FisheyeException(String message) {
		this(ExceptionType.SERVER_ERROR, message);
	}
	
	public FisheyeException(ExceptionType exceptionType, String message) {
		super(message);
		this.exceptionType = exceptionType;
	}
	
	public ExceptionType getExceptionType() {
		return exceptionType;
	}

}
