package com.codegeist.fisheye.internal.ui.connection;

import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.wizard.Wizard;
import org.eclipse.ui.INewWizard;
import org.eclipse.ui.IWorkbench;

import com.codegeist.fisheye.core.Activator;
import com.codegeist.fisheye.core.connection.IFisheyeConnectionManager;

public class NewConnectionWizard extends Wizard implements INewWizard {

	private NewConnectionWizardPage newConnectionWizardPage;

	
	
	@Override
	public void addPages() {
		setWindowTitle("Create Fisheye Connection");
		
		newConnectionWizardPage = new NewConnectionWizardPage();
		addPage(newConnectionWizardPage);
	}
	
	@Override
	public boolean performFinish() {
		
		IFisheyeConnectionManager connectionManager = Activator.getDefault().getConnectionManager();
		
		connectionManager.createConnection(newConnectionWizardPage.getConnectionName(), newConnectionWizardPage.getConnectionUrl());
		
		return true;
	}

	public void init(IWorkbench workbench, IStructuredSelection selection) {
	}

}
